local meta = FindMetaTable( "Player" );

-- Called when player's strength is changed.  Same applied to other functions.
function meta:OnUpdatePlayerStrength()

	return true;

end

function meta:OnUpdatePlayerBleeding( oldval, val )

	if( val == true and ( self:IsOW() or self:IsOWElite() ) ) then
		return false;
	end

	return true;

end

function meta:OnUpdatePlayerFreezeHead( oldval, val )

	if( val ) then
	
		self:DrawViewModel( false );
	
	else
	
		self:DrawViewModel( true );
	
	end

	return true;

end

function meta:OnUpdatePlayerSpeed()

	self:ComputePlayerSpeeds();
	
	return true;

end